﻿using SupportXForms.FontAwesome6;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SupportXForms
{
   public class OrderInfo : INotifyPropertyChanged
   {
      public OrderInfo()
      {

      }

      #region private variables


      private int _orderID;
      private int _employeeID;
      private string _customerID;
      private string _firstname;
      private string _lastname;
      private int _salary;

      // addition properties
      private string _shipCountry;
      //private DateTime _shippingDate;
      private bool _isClosed;
      private int _qty;

      private string _Icon1;
      private string _Icon2;
      private string _Icon3;
      private string _Icon4;
      private string _Icon5;


      #endregion

      #region Public Properties


      public int OrderID
      {
         get
         {
            return _orderID;
         }
         set
         {
            this._orderID = value;
            RaisePropertyChanged("OrderID");
         }
      }


      public int EmployeeID
      {
         get
         {
            return _employeeID;
         }
         set
         {
            this._employeeID = value;
            RaisePropertyChanged("EmployeeID");
         }
      }
     


      public string CustomerID
      {
         get
         {
            return _customerID;
         }
         set
         {
            this._customerID = value;
            RaisePropertyChanged("CustomerID");
         }
      }

      public string FirstName
      {
         get
         {
            return _firstname;
         }
         set
         {
            this._firstname = value;
            RaisePropertyChanged("FirstName");
         }
      }

      public string LastName
      {
         get
         {
            return _lastname;
         }
         set
         {
            this._lastname = value;
            RaisePropertyChanged("LastName");
         }
      }

      public int Salary
      {
         get
         {
            return _salary;
         }
         set
         {
            _salary = value;
            RaisePropertyChanged("Salary");
         }
      }


      public String ShipCountry
      {
         get
         {
            return _shipCountry;
         }
         set
         {
            _shipCountry = value;
            RaisePropertyChanged("ShipCountry");
         }
      }

      //public DateTime ShippingDate
      //{
      //    get
      //    {
      //        return _shippingDate;
      //    }
      //    set
      //    {
      //        _shippingDate = value;
      //        RaisePropertyChanged("ShippingDate");
      //    }
      //}

      public bool IsClosed
      {
         get
         {
            return _isClosed;
         }
         set
         {
            _isClosed = value;
            RaisePropertyChanged("IsClosed");
         }
      }

      public int Qty
      {
         get
         {
            return _qty;
         }
         set
         {
            this._qty = value;
            RaisePropertyChanged("Qty");
         }
      }

      public string Icon1
      {
         get
         {
            return _Icon1;
         }
         set
         {
            this._Icon1 = value;
            RaisePropertyChanged("Icon1");
         }
      }
      public string Icon2
      {
         get
         {
            return _Icon2;
         }
         set
         {
            this._Icon2 = value;
            RaisePropertyChanged("Icon2");
         }
      }
      public string Icon3
      {
         get
         {
            return _Icon3;
         }
         set
         {
            this._Icon3 = value;
            RaisePropertyChanged("Icon3");
         }
      }
      public string Icon4
      {
         get
         {
            return _Icon4;
         }
         set
         {
            this._Icon4 = value;
            RaisePropertyChanged("Icon4");
         }
      }
      public string Icon5
      {
         get
         {
            return _Icon5;
         }
         set
         {
            this._Icon5 = value;
            RaisePropertyChanged("Icon5");
         }
      }
      #endregion

      #region INotifyPropertyChanged implementation

      public event PropertyChangedEventHandler PropertyChanged;

      private void RaisePropertyChanged(String Name)
      {
         if (PropertyChanged != null)
            this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
      }

      #endregion
   }
}
