﻿using Syncfusion.SfDataGrid.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace SupportXForms
{
   [XamlCompilation(XamlCompilationOptions.Compile)]
   public partial class HeaderLabel : ContentPage
   {
      public HeaderLabel()
      {
         InitializeComponent();
      }


      protected override void OnAppearing()
      {
         base.OnAppearing();

         Device.BeginInvokeOnMainThread(() =>
         {
            ((ViewModel)this.BindingContext).Refresh();
         });
      }

      private void _dataGrid_QueryCellStyle(object sender, QueryCellStyleEventArgs eventArgs)
      {
         if (eventArgs is not QueryCellStyleEventArgs e)
            return;

         if (e.RowIndex <= 0 || e.ColumnIndex < 0)
         {
            return;
         }

         if (e.ColumnIndex > 2)
         {
            // PhoneIcon
            e.Style.ForegroundColor = Color.Green;
            e.Handled = true;
         }
         //else if (this.Art == PlanungReiselistenArt.Leistungsliste && this.Current.Spalten[e.ColumnIndex].Typ == ReiselistenSpalteTyp.Symbol)
         //{
         //   // Symbolspalte
         //   e.Style.ForegroundColor = Application.Instance.Resources.GetValue("PhoneIconColor");
         //   e.Handled = true;
         //}
         else
         {
            e.Style.ForegroundColor = Color.Gray;
            e.Handled = true;
         }

         //if (this.Art.IsIn(PlanungReiselistenArt.Teilnehmerliste, PlanungReiselistenArt.Leistungsliste))
         //{
         e.Style.BackgroundColor =e.RowIndex % 2 == 0 ? Color.LightGray : Color.White;
            e.Handled = true;
         //}
         //else if (this.Art == PlanungReiselistenArt.Zimmerliste)
         //{
         //   e.Style.BackgroundColor = Application.Instance.Resources.GetValue(((CustomGridRow)e.RowData).AlternateId % 2 == 0 ? "DataGridAlternateColor" : "PageBackgroundColor");
         //   e.Handled = true;
         //}
      }
   }


}