﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;

namespace SupportXForms
{
    public class ClientInfoRepository : INotifyPropertyChanged
    {

        private ObservableCollection<ClientInfo> _clientInfo;

        public ObservableCollection<ClientInfo> ClientInfo
        {
            get
            {
                return _clientInfo;
            }
            set
            {
                _clientInfo = value;
                RaisePropertyChanged("ClientInfo");
            }
        }


        public ClientInfoRepository()
        {
            ClientInfo = new ObservableCollection<ClientInfo>();
            GenerateRows();
        }

        private void GenerateRows()
        {
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1001", "2/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Lenny Lin",  "1002", "3/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Gina Irene", "1003", "4/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Thomas Hardy", "1004", "5/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1005", "6/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Laura King", "1006", "7/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1007", "8/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Gina Irene", "1008", "9/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1009", "10/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Tim Adams",  "1010", "11/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1011", "12/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Gina Irene", "1012", "13/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Ant Fuller", "1013", "14/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Thomas Hardy","1014", "15/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Gina Irene", "1015", "16/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Hanna Moos", "1016", "17/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1017", "18/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Thomas Hardy", "1018", "19/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Tim Adams",  "1019", "21/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Anne Wilson", "1020", "22/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Thomas Hardy", "1021", "23/03/2019","50"));
            ClientInfo.Add(new ClientInfo("Hanna Moos", "1022", "24/03/2019","50"));
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

    }
}
